Subject: bug#16045: 24.3.50; rgrep can't work

From: Michael Albinus <[email-masked]>
Date: Fri, 06 Dec 2013 17:15:28 +0100

Eli Zaretskii <[email-masked]> writes:

> It's not enough to test with a remote directory, we need to test it
> when it exceeds the line-length limits, no?

Yes. According to my tests, the problem happens when you apply rgrep
(loooong parameter list of find), and Tramp uses on the remote side
ksh. For other shells like zsh or bash I haven't seen any problem.

However, Tramp does not care about the remote shell, and starts to
insert "\\\n" every 500 bytes of the command line, looking for the
next space there. Using rgrep for tests shall be sufficient, I believe.

Best regrads, Michael.